#include <cmath>
#include <iostream>
using namespace std;

void print_triangle(int digit, int section, int position) {
	if(section == 0) {
		cout << digit << ' ';
		return;
	}
	int length = 1 << section;
	int prev_pos = (position < length / 2) ? position : (position - length / 2);
	print_triangle(digit, section - 1, prev_pos);
	if(position >= length / 2) {
		for(int i = prev_pos + 1; i < length / 2; i++) {
			cout << "0 ";
		}
		print_triangle(digit, section - 1, prev_pos);
	}
}

int length_of(int n) {
	int len = 0;
	while(n > 0) {
		len++;
		n /= 2;
	}

	return len;
}

/**
 * Lessons
 *  - Divide and conquer
 *  - Binary patterns
 *  - Not using double functions
 *  - Off by one
 */
int main() {

	int N;
	cin >> N;
	for(int i = 0; i < N; i++) {
		int n, k;
		cin >> n >> k;
		print_triangle(k, length_of(n), n - 1);
		cout << '\n';
	}

	return 0;
}

